<template>
  <div class="card card-primary card-outline card-tabs">
    <div class="card-header p-0 pt-1 border-bottom-0">
      <ul class="nav nav-tabs" id="custom-tabs-three-tab" role="tablist">
        <li class="nav-item">
          <a class="nav-link active" id="custom-tabs-three-home-tab" data-toggle="pill" href="#custom-tabs-three-home"
             role="tab" aria-controls="custom-tabs-three-home" aria-selected="false">Основные поля</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="custom-tabs-three-profile-tab" data-toggle="pill"
             href="#custom-tabs-three-profile" role="tab" aria-controls="custom-tabs-three-profile"
             aria-selected="true">Seo</a>
        </li>
      </ul>
    </div>
    <div class="card-body" @change.prevent="CreateOffer">
      <!--      <div class="row">-->
      <!--        <input type="submit" value="сохранить" class="btn btn-primary" @click.prevent="CreateOffer">-->
      <!--      </div>-->
      <div class="tab-content" id="custom-tabs-three-tabContent">
        <div class="tab-pane fade active show" id="custom-tabs-three-home" role="tabpanel"
             aria-labelledby="custom-tabs-three-home-tab">
          <div class="card-body">
            <div class="row">
              <div class="form-group col-md-8">
                <label>Название</label>
                <input type="text" v-model="offer.name" class="form-control" placeholder="Введите название">
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Выбрать период действия спецпредложения:</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                  </div>
                  <input type="date" v-model="offer.date_start" class="form-control">
                  <input type="date" v-model="offer.date_end" class="form-control">
                </div>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Тип</label>
                <select class="form-control" v-model="offer.type">
                  <option value="A">А</option>
                  <option value="Б">Б</option>
                  <option value="И">В</option>
                </select>
              </div>
            </div>
            <div class="row">
              <div class="form-group col-md-8">
                <label>Краткое описание</label>
                <input type="text" class="form-control" v-model="offer.short_description" id="short_description"
                       placeholder="Введите название">
              </div>
            </div>
            <div class="row">
              <div class="col-md-8">
                <label>Полное описание</label>
                <vue-editor v-model="offer.full_description"></vue-editor>
              </div>
            </div>
            <div class="row">
              <div class="col">
                <label>Статус</label>
                <br>
                <switches v-model="offer.status" color="green"></switches>
              </div>
            </div>
            <div class="row">
              <div class="col-md-8">
                <a class="btn btn-info btn-sm mr-2"
                   href="https://moto-land.space/admin/offer">
                  Назад
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="tab-pane fade" id="custom-tabs-three-profile" role="tabpanel"
             aria-labelledby="custom-tabs-three-profile-tab">
          <div class="row">
            <div class="form-group col-md-8">
              <label>Title</label>
              <input type="text" class="form-control" v-model="offer.title" id="email"
                     placeholder="Введите название">
            </div>
          </div>
          <div class="row">
            <div class="col-md-8">
              <div class="form-group">
                <label>Description</label>
                <textarea class="form-control" v-model="offer.meta_description" rows="3"
                          placeholder="Enter ..."></textarea>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-8">
              <a class="btn btn-info btn-sm mr-2"
                 href="https://moto-land.space/admin/offer">
                Назад
              </a>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {VueEditor} from 'vue2-editor'
import Switches from 'vue-switches'

export default {
  name: "EditComponent",
  components: {VueEditor, Switches},
  props: ['offer'],
  mounted() {
    this.CreateOffer()
  },

  methods: {
    CreateOffer() {
      axios.post('/api/admin/offer',
          {
            name: this.offer.name,
            date_start: this.offer.date_start,
            date_end: this.offer.date_end,
            short_description: this.offer.short_description,
            full_description: this.offer.full_description,
            type: this.offer.type,
            status: this.offer.status,
            title: this.offer.title,
            meta_description: this.offer.meta_description,
          })
          .then(res => {
            console.log(res.data)
          })
    },
  }
}
</script>
